Subject: mounting SMB w/ #!
From: Mark Tigges <[email-masked]>
To: [email-masked]
Date: Mon, 14 Aug 2000 09:42:48 -0700

Sorry for the cryptic subject.

We have an SMB share exporting our sources from a linux
box (with samba).
I am porting our dev environment to be cross platform,
with great success, save one serious problem.

Most of our dev environment is implemented through some
python scripts for computing inter-module dependencies
and building modules in the correct order and such.  Python
is available for windows and it works great.  The problem
is that these scripts are located at

//cardano/anm/sw/dev/bin/<blah blah>

Now I can execute a python script in that directory, with
the command:

python //cardano/anm/sw/dev/bin/anmdeps <arguments>

If I use, mount //cardano/anm /anm then I want to be able
to do:

python /anm/sw/dev/bin/anmdeps

it doesn't work.  Presumably this is because Python has 
no idea about cygwin's mount table.

So, I wrote a quick bash function and stuck it in our
users system standard bashrc file, such that the first
argument is filtered through cygpath, that works
great, except, when I just run anmdeps, as in

$ /anm/sw/dev/bin/anmdeps

Now, the path variable has the bin directory, and the
script has #! so bash knows to run the script with 
python, and finds the python executable and runs it with
/anm/sw/dev/bin/anmdeps as an argument.  But it isn't 
putting it through the shell function, hence Python is
saying:

mark@rayleigh
$ anmdeps
python: can't open file '/nam/sw/dev/bin/anmdeps'

So this is most frustrating.  The only solution I can think
of is to copy (to every windows box) the necessary scripts.

This I most definately don't want to do.  For hopefully
obvious reasons.

If anybody more experienced with cygnus than I has a
solution I would be hugely appreciative.

Best regards,
Mark.

--
Want to unsubscribe from this list?
Send a message to [email-masked]